﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls;
using Telerik.WinControls.UI;

namespace _1545606GridViewDateColumnExcelFilter
{
    public partial class RadForm1 : Telerik.WinControls.UI.RadForm
    {
        public RadForm1()
        {
            InitializeComponent();

            GridViewDecimalColumn idColumn = new GridViewDecimalColumn("Id");
            this.radGridView1.Columns.Add(idColumn);
            GridViewTextBoxColumn nameColumn = new GridViewTextBoxColumn("Name");
            this.radGridView1.Columns.Add(nameColumn);
            GridViewDateTimeColumn dateColumn = new GridViewDateTimeColumn("Date");
            dateColumn.FilteringMode = GridViewTimeFilteringMode.Date;
            this.radGridView1.Columns.Add(dateColumn);
            this.radGridView1.AutoSizeColumnsMode = GridViewAutoSizeColumnsMode.Fill;

            for (int i = 0; i < 50; i++)
            {
                this.radGridView1.Rows.Add(i,"Row"+i,DateTime.Now.AddDays(i));
            }

            this.radGridView1.EnableFiltering = true;
            this.radGridView1.ShowHeaderCellButtons = true;
            this.radGridView1.ShowFilteringRow = false;
        }
    }
}
